Tipps & Tricks: Enigma2(ATV&VTI) PP Plugin Anleitung&Download

Discussion in 'Linux' started by PP Frank, Oct 5, 2018.

  1. e

    evolver_xxl Member

    Hallöchen.

    Hier die Ausgabe:

    root@dm900:~$ apt-get update
    Ign http://feed.newnigma2.to ./ InRelease
    Ign http://feed.newnigma2.to ./ InRelease
    Ign http://feed.newnigma2.to ./ InRelease
    Ign http://feed.newnigma2.to ./ InRelease
    Ign http://feed.newnigma2.to ./ InRelease
    Hit http://feed.newnigma2.to ./ Release.gpg
    Hit http://feed.newnigma2.to ./ Release.gpg
    Hit http://feed.newnigma2.to ./ Release.gpg
    Hit http://feed.newnigma2.to ./ Release.gpg
    Hit http://feed.newnigma2.to ./ Release.gpg
    Hit http://feed.newnigma2.to ./ Release
    Hit http://feed.newnigma2.to ./ Release
    Hit http://feed.newnigma2.to ./ Release
    Hit http://feed.newnigma2.to ./ Release
    Hit http://feed.newnigma2.to ./ Release
    Hit http://feed.newnigma2.to ./ Packages
    Hit http://feed.newnigma2.to ./ Packages
    Hit http://feed.newnigma2.to ./ Packages
    Hit http://feed.newnigma2.to ./ Packages
    Hit http://feed.newnigma2.to ./ Packages
    Ign http://feed.newnigma2.to ./ Translation-de_DE
    Ign http://feed.newnigma2.to ./ Translation-de
    Ign http://feed.newnigma2.to ./ Translation-en
    Ign http://feed.newnigma2.to ./ Translation-de_DE
    Ign http://feed.newnigma2.to ./ Translation-de
    Ign http://feed.newnigma2.to ./ Translation-en
    Ign http://feed.newnigma2.to ./ Translation-de_DE
    Ign http://feed.newnigma2.to ./ Translation-de
    Ign http://feed.newnigma2.to ./ Translation-en
    Ign http://feed.newnigma2.to ./ Translation-de_DE
    Ign http://feed.newnigma2.to ./ Translation-de
    Ign http://feed.newnigma2.to ./ Translation-en
    Ign http://feed.newnigma2.to ./ Translation-de_DE
    Ign http://feed.newnigma2.to ./ Translation-de
    Ign http://feed.newnigma2.to ./ Translation-en
    Reading package lists... Done
    root@dm900:~$ dpkg -i /tmp/enigma2-plugin-extensions-perfectprivacy_1.3.1.deb
    (Reading database ... 15940 files and directories currently installed.)
    Preparing to unpack .../enigma2-plugin-extensions-perfectprivacy_1.3.1.deb ...
    Ign http://feed.newnigma2.to ./ InRelease
    Ign http://feed.newnigma2.to ./ InRelease
    Ign http://feed.newnigma2.to ./ InRelease
    Ign http://feed.newnigma2.to ./ InRelease
    Ign http://feed.newnigma2.to ./ InRelease
    Hit http://feed.newnigma2.to ./ Release.gpg
    Hit http://feed.newnigma2.to ./ Release.gpg
    Hit http://feed.newnigma2.to ./ Release.gpg
    Hit http://feed.newnigma2.to ./ Release.gpg
    Hit http://feed.newnigma2.to ./ Release.gpg
    Hit http://feed.newnigma2.to ./ Release
    Hit http://feed.newnigma2.to ./ Release
    Hit http://feed.newnigma2.to ./ Release
    Hit http://feed.newnigma2.to ./ Release
    Hit http://feed.newnigma2.to ./ Release
    Hit http://feed.newnigma2.to ./ Packages
    Hit http://feed.newnigma2.to ./ Packages
    Hit http://feed.newnigma2.to ./ Packages
    Hit http://feed.newnigma2.to ./ Packages
    Hit http://feed.newnigma2.to ./ Packages
    Ign http://feed.newnigma2.to ./ Translation-de_DE
    Ign http://feed.newnigma2.to ./ Translation-de
    Ign http://feed.newnigma2.to ./ Translation-en
    Ign http://feed.newnigma2.to ./ Translation-de_DE
    Ign http://feed.newnigma2.to ./ Translation-de
    Ign http://feed.newnigma2.to ./ Translation-en
    Ign http://feed.newnigma2.to ./ Translation-de_DE
    Ign http://feed.newnigma2.to ./ Translation-de
    Ign http://feed.newnigma2.to ./ Translation-en
    Ign http://feed.newnigma2.to ./ Translation-de_DE
    Ign http://feed.newnigma2.to ./ Translation-de
    Ign http://feed.newnigma2.to ./ Translation-en
    Ign http://feed.newnigma2.to ./ Translation-de_DE
    Ign http://feed.newnigma2.to ./ Translation-de
    Ign http://feed.newnigma2.to ./ Translation-en
    E: Could not get lock /var/lib/dpkg/lock - open (11: Resource temporarily unavailable)
    E: Unable to lock the administration directory (/var/lib/dpkg/), is another process using it?
    Unpacking enigma2-plugin-extensions-perfectprivacy (1.3.1) over (1.3.1) ...
    /var/lib/dpkg/info/enigma2-plugin-extensions-perfectprivacy.postrm: line 2: /etc/init.d/pp_openvpn: Permission denied
    update-rc.d: /etc/init.d/pp_openvpn exists during rc.d purge (continuing)
    Removing any system startup links for pp_openvpn ...
    /var/lib/dpkg/info/enigma2-plugin-extensions-perfectprivacy.postrm: line 5: /etc/init.d/pp_iptables: Permission denied
    update-rc.d: /etc/init.d/pp_iptables exists during rc.d purge (continuing)
    Removing any system startup links for pp_iptables ...
    /var/lib/dpkg/info/enigma2-plugin-extensions-perfectprivacy.postrm: line 8: /etc/init.d/pp_cascade: Permission denied
    update-rc.d: /etc/init.d/pp_cascade exists during rc.d purge (continuing)
    Removing any system startup links for pp_cascade ...
    dpkg: dependency problems prevent configuration of enigma2-plugin-extensions-perfectprivacy:
    enigma2-plugin-extensions-perfectprivacy depends on python-mechanize; however:
    Package python-mechanize is not installed.
    enigma2-plugin-extensions-perfectprivacy depends on python-requests; however:
    Package python-requests is not installed.
    enigma2-plugin-extensions-perfectprivacy depends on openvpn; however:
    Package openvpn is not installed.
    dpkg: error processing package enigma2-plugin-extensions-perfectprivacy (--install):
    dependency problems - leaving unconfigured
    Errors were encountered while processing:
    enigma2-plugin-extensions-perfectprivacy


    Irgendwie passt was ned....aber was.
     
  2. m

    murxer Active Member

    Hast du es auch nach einen Neustart schon getestet?
    Sorry hab dir den falschen Befehl gesendet, ist ja die Deb Version.

    Code:
    apt-get install python-mechanize
    Teste das mal.
     
  3. e

    evolver_xxl Member

    Ja,hatte ich,das is die Ausgabe die du siehst.

    Jetz frag ich mich ob die Pakete ganz unten, ob man die manuell nachinstalliern muss. Aber wie muss ich das denn machen? Dem fehlt ja anscheins python zeugs...mechanize,requests und openvpn. Aber ob das schon alles is? Wie kann man sowas denn nachinstalliern?
     
  4. m

    murxer Active Member

    Das geht mit
    Code:
    apt-get install python-mechanize
     
  5. e

    evolver_xxl Member

    Hab grad installiert und es kam folgende Ausgabe:

    root@dm900:~$ dpkg -i /tmp/enigma2-plugin-extensions-perfectprivacy_1.3.1.deb
    (Reading database ... 16323 files and directories currently installed.)
    Preparing to unpack .../enigma2-plugin-extensions-perfectprivacy_1.3.1.deb ...
    Ign http://feed.newnigma2.to ./ InRelease
    Ign http://feed.newnigma2.to ./ InRelease
    Ign http://feed.newnigma2.to ./ InRelease
    Ign http://feed.newnigma2.to ./ InRelease
    Ign http://feed.newnigma2.to ./ InRelease
    Hit http://feed.newnigma2.to ./ Release.gpg
    Hit http://feed.newnigma2.to ./ Release.gpg
    Hit http://feed.newnigma2.to ./ Release.gpg
    Hit http://feed.newnigma2.to ./ Release.gpg
    Hit http://feed.newnigma2.to ./ Release.gpg
    Hit http://feed.newnigma2.to ./ Release
    Hit http://feed.newnigma2.to ./ Release
    Hit http://feed.newnigma2.to ./ Release
    Hit http://feed.newnigma2.to ./ Release
    Hit http://feed.newnigma2.to ./ Release
    Hit http://feed.newnigma2.to ./ Packages
    Hit http://feed.newnigma2.to ./ Packages
    Hit http://feed.newnigma2.to ./ Packages
    Hit http://feed.newnigma2.to ./ Packages
    Hit http://feed.newnigma2.to ./ Packages
    Ign http://feed.newnigma2.to ./ Translation-de_DE
    Ign http://feed.newnigma2.to ./ Translation-de
    Ign http://feed.newnigma2.to ./ Translation-en
    Ign http://feed.newnigma2.to ./ Translation-de_DE
    Ign http://feed.newnigma2.to ./ Translation-de
    Ign http://feed.newnigma2.to ./ Translation-en
    Ign http://feed.newnigma2.to ./ Translation-de_DE
    Ign http://feed.newnigma2.to ./ Translation-de
    Ign http://feed.newnigma2.to ./ Translation-en
    Ign http://feed.newnigma2.to ./ Translation-de_DE
    Ign http://feed.newnigma2.to ./ Translation-de
    Ign http://feed.newnigma2.to ./ Translation-en
    Ign http://feed.newnigma2.to ./ Translation-de_DE
    Ign http://feed.newnigma2.to ./ Translation-de
    Ign http://feed.newnigma2.to ./ Translation-en
    E: Could not get lock /var/lib/dpkg/lock - open (11: Resource temporarily unavailable)
    E: Unable to lock the administration directory (/var/lib/dpkg/), is another process using it?
    Unpacking enigma2-plugin-extensions-perfectprivacy (1.3.1) over (1.3.1) ...
    /var/lib/dpkg/info/enigma2-plugin-extensions-perfectprivacy.postrm: line 2: /etc/init.d/pp_openvpn: Permission denied
    update-rc.d: /etc/init.d/pp_openvpn exists during rc.d purge (continuing)
    Removing any system startup links for pp_openvpn ...
    /var/lib/dpkg/info/enigma2-plugin-extensions-perfectprivacy.postrm: line 5: /etc/init.d/pp_iptables: Permission denied
    update-rc.d: /etc/init.d/pp_iptables exists during rc.d purge (continuing)
    Removing any system startup links for pp_iptables ...
    /var/lib/dpkg/info/enigma2-plugin-extensions-perfectprivacy.postrm: line 8: /etc/init.d/pp_cascade: Permission denied
    update-rc.d: /etc/init.d/pp_cascade exists during rc.d purge (continuing)
    Removing any system startup links for pp_cascade ...
    Setting up enigma2-plugin-extensions-perfectprivacy (1.3.1) ...
    chmod: /usr/lib/enigma2/python/Plugins/Extensions/PerfectPrivacy/*.py: No such file or directory


    Was aber nichts gebracht hat. Nachm Reboot eben hab ich geschaut und PP wird nicht angezeigt. Hab ich vielleicht bei den Rechten was vergessen einzustellen? Müsste ich irgendwo Attribute setzen ?
     
  6. m

    murxer Active Member

    Mit diesem Befehl wird es installiert.
    Code:
    dpkg -i enigma2-plugin-extensions-perfectprivacy_1.3.1.deb & apt-get -f install
     
  7. e

    evolver_xxl Member

    In der Softwareverwaltung kann ich sehn dass das PerfectPrivacy drin steht. Da isn grüner Punkt davor. Also er hat was gemacht. Nur warum sagter unten bei der letzten Zeile es wäre keine Directory...das geht doch gar nicht. Hab grad geguckt und der Ordner is da. Warum zeigt der mir das nicht an!?!?
    Fehlen mir librarys oder sowas um das zum laufen zu kriegen? Oder zusätzliche Plugins?
     
  8. e

    evolver_xxl Member

    Ich habs nochmal runter geschmissen und wieder neu gemacht. Irgendwas hat ihm nicht gepasst und ich kann ned sehn was aber jetz hatters gefühlt nachm 10ten Anlauf übernommen. Ich kann den Manager aufrufen und auch starten. Die configs hatter auch übernommen und geladen, Server ausgewählt und jetz gehts. Ich kann aber ned verstehn warum das vorher nicht ging.
     
  9. m

    murxer Active Member

    @skyman80
    Habe vor ein paar Wochen begonnen das Plugin zu überarbeiten, hier ist mir auch aufgefallen das die Kaskade nicht richtig funktioniert.
    Das ist seit dem das es neue configs von PP gibt, das habe ich schon mal soweit gefixt.

    Jetzt zu deinem anliegen, wegen Autostart der Kaskade und VTI.
    Werde mal versuchen eine Abfrage zu starten wenn das Gui nach einem Neustart geladen ist.
    Hier werde ich dann einen Timer einbauen den man dann im Menü anpassen kann.

    Hier mal ein paar Bilder für das neue PP Plugin.
    [​IMG]
    [​IMG]
    [​IMG]
     
  10. t

    tm1234 New Member

    Schaut super aus. Wann gibt es das neue plugin.
     
  11. m

    murxer Active Member

    @tm1234
    Hoffe das ich es bis zum kommenden Wochenende zum testen bereit stellen kann.
    Muss noch ein paar Sachen überarbeiten und auch noch für den 1280 Skin alles anpassen.
    Das Grundlegende aber funktioniert schon mal, Bitte noch etwas Geduld.

    LG Murxer
     
  12. m

    murxer Active Member

    Hey,
    sorry für das verspätete Update, hatte nicht so viel Zeit.

    Version 1.3.2
    - Cascadierte Verbindung überarbeitet
    - Landesflaggen Fix
    - Neue Gui-Oberfläche
    - Source etwas aufgeräumt
    - DNS Server Liste aktualisiert
    - VTI Installation Fix --- python-robotparser

    Cascadierte Verbindung aufbauen:
    Man muss jetzt nicht mehr im Menü seine 2 Hops wählen, sondern einfach in der Server Liste seine Hops wählen.
    Hop 1 Selectieren und OK drücken, dann Hop 2 Selectieren und wieder OK drücken, nun baut sich die Verbindung auf.
    Im Menü kann man noch den Cascade Check aktivieren, dieser Check startet automatisch nach einem Neustart oder Gui-Neustart.
    Wenn ihr Cascade aktiviert habt, dann überprüft der Check diese, wenn keine Cascadierte Verbindung besteht dann wird diese
    neu gestartet.
    Ihr könnt auch noch eine Verzögerung einstellen, so das der Check nicht zu früh auslöst.

    Achtung! Achtung!
    Es handelt sich hier noch um eine Beta Version, also wer Lust hat kann diese testen und mir dann bescheid geben ob diese 100% läuft.

    Hier erst mal die IPK Version, die Deb ist noch in Arbeit.
    https://www.xup.in/dl,19515641/enigma2-plugin-extensions-perfectprivacy_1.3.2_all.ipk/

    LG Murxer
     
    Last edited: Aug 29, 2019
  13. h

    honst New Member

    Ich hoffe mir kann einer weiterhelfen. Bei meiner Duo2 hatte ich das Plugin ohne Probleme am laufen. Bei meiner neuer duo4k bekomme ich den Fehler:

    root@vuduo4k:~# opkg install /tmp/enigma2-plugin-extensions-perfectprivacy_1.2.8_all.ipk

    Installing enigma2-plugin-extensions-perfectprivacy (1.2.8) on root.

    Collected errors:

    * opkg_conf_load: Could not lock /var/lib/opkg/lock: Resource temporarily unavailable.

    Configuring enigma2-plugin-extensions-perfectprivacy.
     
  14. m

    murxer Active Member

    @honst
    Installiere dir die 1.3.1 Version, oder du testest die 1.3.2 einen Post über dir.
    Aber zu deinem Problem, gib folgendes ins Terminal vor der Installation ein:
    Code:
    opkg update
    dann erst die ipk installieren, dann sollte es auch zu keine Probleme kommen.

    LG Murxer
     
  15. h

    honst New Member

    Danke für die schnelle Antwort. opkg update hatte ich schon.

    opkg install python-robotparser Das hatte das Problem gelöst
     
  16. m

    murxer Active Member

    Ja genau, dann nutzt du VTI, das muss man beim neuem Image nach installieren.
    Habe es in die 1.3.2 schon hinzugefügt, so das es automatisch installiert wird.
     
  17. t

    tm1234 New Member

    Bei mir wird mit Fehler abgebrochen. VTI


    root@vuultimo4k:~# opkg install /tmp/enigma2-plugin-extensions-perfectprivacy_1.3.2_all.ipk
    Upgrading enigma2-plugin-extensions-perfectprivacy from 1.3.1 to 1.3.2 on root.
    Collected errors:
    * satisfy_dependencies_for: Cannot satisfy the following dependencies for enigma2-plugin-extensions-perfectprivacy:
    * python-beautifulsoup *
    * opkg_install_cmd: Cannot install package enigma2-plugin-extensions-perfectprivacy.
     
  18. m

    murxer Active Member

    @tm1234
    Wenn du die 1.3.2 installierst wird erst überprüft ob alle Abhängigkeiten installiert sind.
    Hier mal eine liste:
    Code:
    python-json
    python-requests
    openvpn
    openresolv
    bash
    python-beautifulsoup
    python-robotparser
    Neu hinzugekommen ist python-beautifulsoup, dies wird von deinem Image nicht bereit gestellt, dann bricht die Installation ab.
    Habe mich für beautifulsoup entschieden, weil es mir die Serverauslastungs abfrage einfach erleichtert.

    Hier mal ein link:
    https://pypi.org/project/beautifulsoup4/

    Bin gerade dabei es ins Plugin mit auf zu nehmen, dann sollte es keine Probleme mehr geben mit der Installation.

    Du kannst aber auch gerne dies ipk mal installieren und dann das Plugin noch mal versuchen zu installieren.
    https://www.xup.in/dl,10076494/python-beautifulsoup_4.3.2-r0_cortexa15hf-neon-vfpv4.ipk/

    LG Murxer
     
  19. t

    tm1234 New Member

    beatifulsoup4 installiert, jetzt kommt Folgendes:

    opkg install /tmp/ENIGMA2-PLUGIN-EXTENSIONS-PERFECTPRIVACY_1.3.2_ALL.IPK
    Unknown package '/tmp/ENIGMA2-PLUGIN-EXTENSIONS-PERFECTPRIVACY_1.3.2_ALL.IPK'.
    Collected errors:
    * opkg_install_cmd: Cannot install package /tmp/ENIGMA2-PLUGIN-EXTENSIONS-PERFECTPRIVACY_1.3.2_ALL.IPK.
     
  20. m

    murxer Active Member

    @tm1234
    Ich sehen mir das jetzt mal selbst an, werde mal Multiboot einrichten und einige Image's testen.
    Melde mich wieder...

    LG Murxer
     
  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice